//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TGameScreen.h"
//---------------------------------------------------------------------------
TGameScreen* GameScreen = NULL;
//---------------------------------------------------------------------------




//---------------------------------------------------------------------------
// class TGameScreen
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
bool __fastcall TGameScreen::GetModified()
{
	return FOffScreen->Modified;
}
//---------------------------------------------------------------------------
void __fastcall TGameScreen::SetModified(bool AModified)
{
	FOffScreen->Modified = AModified;
}
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TGameScreen::TGameScreen() : FOffScreen(NULL), FSrcCanvas(NULL),
	FDstCanvas(NULL), FUnitImages(NULL)
{
	FOffScreen = new Graphics::TBitmap();
	FOffScreen->Width = SCRR.Width();
	FOffScreen->Height = SCRR.Height();

	FSrcCanvas = FOffScreen->Canvas;
	FSrcCanvas->Font->Charset = DEFAULT_CHARSET;
	FSrcCanvas->Font->Name = "Comic Sans MS";
	FSrcCanvas->Font->Height = -17;

	Modified = false;
}
//---------------------------------------------------------------------------
__fastcall TGameScreen::~TGameScreen()
{
	delete FOffScreen; FOffScreen = NULL;
}
//---------------------------------------------------------------------------
bool __fastcall TGameScreen::Contains(int AX, int AY)
{
	return AX >= SCRR.left && AX < SCRR.right && AY >= SCRR.top && AY < SCRR.bottom;
}
//---------------------------------------------------------------------------
void __fastcall TGameScreen::Update()
{
	FDstCanvas->CopyRect(SCRR, FSrcCanvas, SCRR);
}
//---------------------------------------------------------------------------




//---------------------------------------------------------------------------
#pragma package(smart_init)
