//---------------------------------------------------------------------------
#ifndef TGameSoundH
#define TGameSoundH
#include <Classes.hpp>
//---------------------------------------------------------------------------
const int GAMESOUNDCOUNT = 3;
enum GAMESOUND { GAMESOUND_SCORE, GAMESOUND_MISS, GAMESOUND_GAMEOVER };
//---------------------------------------------------------------------------
class TGameSound
{
private:
	bool FEnabled;
	unsigned char* FWaves[GAMESOUNDCOUNT];

	void __fastcall Init();
	void __fastcall Uninit();

public:
	__fastcall TGameSound();
	__fastcall virtual ~TGameSound();

	void __fastcall Play(GAMESOUND AType);
	void __fastcall Stop();

	__property bool Enabled = {read=FEnabled, write=FEnabled};
};
//---------------------------------------------------------------------------
extern PACKAGE TGameSound* GameSound;  // created by GameForm
//---------------------------------------------------------------------------
#endif
