//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TGameTimer.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
TGameTimer* GameTimer = NULL;
//---------------------------------------------------------------------------




//---------------------------------------------------------------------------
// class TGameTimer
//---------------------------------------------------------------------------
// private
//---------------------------------------------------------------------------
void __fastcall TGameTimer::DoTimer()
{
	if(FOnTimer == NULL) return;

	FOnTimer(this);
}
//---------------------------------------------------------------------------
// public
//---------------------------------------------------------------------------
__fastcall TGameTimer::TGameTimer(bool ACreateSuspended, int AInterval, TNotifyEvent AOnTimer) :
	TThread(ACreateSuspended), FInterval(AInterval), FOnTimer(AOnTimer)
{
	// do nothing
}
//---------------------------------------------------------------------------
void __fastcall TGameTimer::Execute()
{
	while(!Terminated) {
		Synchronize(DoTimer);
		Sleep(FInterval);
	}
}
//---------------------------------------------------------------------------

